Bug 664732 - gnome-screensaver dialog box doesn't appear if system is locked for a long period
gnome-screensaver dialog box doesn't appear if system is locked for a long pe...
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: gnome-screensaver (Show other bugs)
14
x86_64 Linux
low Severity medium
: ---
: ---
Assigned To: Ray Strode [halfline]
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2010-12-21 09:09 EST by Andrew Rechenberg
Modified: 2012-08-16 16:26 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-08-16 16:26:42 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
xdpyinfo output (17.23 KB, text/plain)
2010-12-21 09:09 EST, Andrew Rechenberg
no flags Details
Xorg log (116.71 KB, text/plain)
2010-12-21 09:10 EST, Andrew Rechenberg
no flags Details
Old Xorg log (217.91 KB, text/plain)
2010-12-21 09:10 EST, Andrew Rechenberg
no flags Details
gnome-screensaver debug output (213.05 KB, text/plain)
2010-12-21 09:11 EST, Andrew Rechenberg
no flags Details

  None (edit)
Description Andrew Rechenberg 2010-12-21 09:09:59 EST
Created attachment 469981 [details]
xdpyinfo output

Description of problem:

When my Fedora 14 system is locked with gnome-screensaver overnight in the morning the password dialog box to unlock the screen doesn't appear.  I can only access X if I go to a terminal and killall gdm-binary.

Not sure if this is relevant, but the userid with which I'm logging in as is in Active Directory and we use nss_ldap and pam_krb5 to allow my user account to login to the system.  

I'm using the "Pictures Folder" screen saver.

Version-Release number of selected component (if applicable):

fedora-screensaver-theme-1.0.0-5.fc12.noarch
rss-glx-gnome-screensaver-0.9.1.p-4.fc14.1.x86_64
gnome-screensaver-2.30.2-2.fc14.x86_64
fedorainfinity-screensaver-theme-1.0.0-3.fc12.noarch
f-spot-screensaver-0.8.0-3.fc14.x86_64
xorg-x11-server-Xorg-1.9.1-3.fc14.x86_64
xorg-x11-server-common-1.9.1-3.fc14.x86_64
xorg-x11-server-utils-7.4-19.fc14.x86_64
xorg-x11-drv-ati-6.13.1-0.3.20100705git37b348059.fc14.x86_64

How reproducible:
I'm not sure what the exact time period is, but if the machine is left locked for at least 12 hours then the issue manifests itself

Steps to Reproduce:
1. pre-upgrade Fedora 13 - Fedora 14
2. Use Pictures Folder screen saver
3. Lock workstation and wait about 12 hours
  
Actual results:
The background screensaver has frozen (the pictures no longer rotate) and no password dialog box appears

Expected results:
Password dialog appears and I can unlock my workstation.


Additional info:

I'm attaching a debug from gnome-screensaver, as well as my Xorg.0 logs.  Please let me know if you need any more information
Comment 1 Andrew Rechenberg 2010-12-21 09:10:34 EST
Created attachment 469982 [details]
Xorg log
Comment 2 Andrew Rechenberg 2010-12-21 09:10:56 EST
Created attachment 469984 [details]
Old Xorg log
Comment 3 Andrew Rechenberg 2010-12-21 09:11:25 EST
Created attachment 469985 [details]
gnome-screensaver debug output
Comment 4 Andrew Rechenberg 2011-01-13 08:25:14 EST
I turned off Desktop Effects on my workstation and I could login this morning.  So it appears to be an issue with compiz-fusion maybe?
Comment 5 Fedora Admin XMLRPC Client 2011-06-21 11:59:34 EDT
This package has changed ownership in the Fedora Package Database.  Reassigning to the new owner of this component.
Comment 6 Fedora End Of Life 2012-08-16 16:26:45 EDT
This message is a notice that Fedora 14 is now at end of life. Fedora 
has stopped maintaining and issuing updates for Fedora 14. It is 
Fedora's policy to close all bug reports from releases that are no 
longer maintained.  At this time, all open bugs with a Fedora 'version'
of '14' have been closed as WONTFIX.

(Please note: Our normal process is to give advanced warning of this 
occurring, but we forgot to do that. A thousand apologies.)

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, feel free to reopen 
this bug and simply change the 'version' to a later Fedora version.

Bug Reporter: Thank you for reporting this issue and we are sorry that 
we were unable to fix it before Fedora 14 reached end of life. If you 
would still like to see this bug fixed and are able to reproduce it 
against a later version of Fedora, you are encouraged to click on 
"Clone This Bug" (top right of this page) and open it against that 
version of Fedora.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events.  Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.

The process we are following is described here: 
http://fedoraproject.org/wiki/BugZappers/HouseKeeping

Note You need to log in before you can comment on or make changes to this bug.